# Uses of Class
org.apache.cxf.service.model.InterfaceInfo

Packages that use InterfaceInfo
Package
Description
org.apache.cxf.service
org.apache.cxf.service.model

- ## Uses of InterfaceInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type InterfaceInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(InterfaceInfo intf)`
  `void`
  ServiceModelVisitor.`end(InterfaceInfo intf)`

- ## Uses of InterfaceInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return InterfaceInfo
  Modifier and Type
  Method
  Description
  `InterfaceInfo`
  ServiceInfo.`createInterface(QName qn)`
  `InterfaceInfo`
  BindingInfo.`getInterface()`
  `InterfaceInfo`
  EndpointInfo.`getInterface()`
  `InterfaceInfo`
  OperationInfo.`getInterface()`
  `InterfaceInfo`
  ServiceInfo.`getInterface()`
  Methods in org.apache.cxf.service.model with parameters of type InterfaceInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceInfo.`setInterface(InterfaceInfo inf)`